<template>
    <b-modal v-model="modalVisible" ref="paymentModalRef" size="lg" title="Tạo giao dịch mới">
            <div class="modal-body" v-if="Object.keys(agency).length >2">
                <h5 class="col-form-label text-info">Thông tin đại lý: </h5>
                <div class="form-group row">
                  <label for="agency-name" class="col-form-label col-md-3">Tên đại lý:</label>
                  <span id="agency-name" class="font-weight-bold col-md-9">{{ agency.name }}</span>
                </div>
                <div class="form-group row">
                    <label for="address" class="col-form-label col-md-3">Địa chỉ:</label>
                    <span id="address" class="font-weight-bold col-md-9">{{ agency.address }}</span>
                </div>
                <h5 for="address" class="col-form-label text-info">Người thanh toán: </h5>
                <div class="form-group row">
                        <label for="customer_name" class="col-form-label col-md-3">Họ và tên:</label>
                        <span id="customer_name" class="font-weight-bold col-md-9">{{ agency.owner.fullname }}</span>
                </div>
                <div class="form-group row">
                    <label for="phone_number" class="col-form-label col-md-3">SĐT:</label>
                    <span id="phone_number" class="font-weight-bold col-md-9">{{ agency.owner.phone_number }}</span>
                </div>
               
    <div v-if="Object.keys(agency.customers).length > 1">
                <div class="form-group" id="changeCustomerContainer" v-if="customerOptionVisibility" >
                    <div class="col-md-6"> <select class="form-control" id="selectCustomer" >
                        
                        </select></div>
                    <div class="col-md-6"><button type="button" id="confirmCustomerSelection" class="btn btn-success">Xác nhận</button></div>
                   
                </div>
              
                <button type="button" class="btn btn-info" id="changeCustomerBtn" @click="showCustomerOption()">Thay đổi</button>
                </div>
                <hr>    
                <h5 for="address" class="col-form-label text-info">Người nhận:</h5>

                 <div class="form-group row">
                        <label for="salesman_name" class="col-form-label col-md-3">Họ và tên:</label>
                        <span id="salesman_name" class="font-weight-bold col-md-9">{{ agency.salesman.name }}</span>
                </div>
                <div class="form-group row">
                        <label for="role" class="col-form-label col-md-3">Chức vụ:</label>
                        <span id="role" class="font-weight-bold col-md-9">Nhân viên kinh doanh</span>
                </div>
                <div class="form-group">
                  <label for="message-text" class="col-form-label">Số tiền:</label>
                  <div class="input-group">
                        
                        <input type="text" id="amount" class="form-control" aria-label="Amount" min="1000" v-model="amount">
                        <div class="input-group-append">
                          <span class="input-group-text">VNĐ</span>
                        </div>
                      </div>
                </div>
                <div class="form-group">
                        <label for="message-text" class="col-form-label">Số tiền:</label>
                        <select name="payment_method" id="payment_method" class="form-control" v-model="paymentMethod">
                            <option value="2">Tiền mặt</option>
                            <option value="1">Chuyển khoản</option>
                        </select>
                </div>
            </div>
            <div class="modal-body" v-else>
                <span>Không tìm thấy dữ liệu hiển thị</span>
            </div>
            <div slot="modal-footer">
              <b-button variant="danger" @click="modalVisible=false">Hủy</b-button>
              <b-button variant="success" @click="updatePayment()">Xác nhận</b-button>
            </div>
    </b-modal>
</template>

<script>
import { alerts } from '../../utils';
import { event } from '../../utils';
export default {
    data() {
        return {
            customerOptionVisibility:false,
            modalVisible: false,
            created: false,
            amount: 0,
            paymentMethod:2,
        }
    },

    props:{
        agency: {
            type: Object,
            default: null
        },
    },
    created(){
       // this.$on('showPaymentModal',this.showModal);
      //  console.log('created');
    },
    mounted(){
       // this.$on('show-modal',this.showModal);
    },
    methods:{
        showCustomerOption(){
            this.showCustomerOption != showCustomerOption;
        },
        hideModal () {
            this.modalVisible = false;
        },
        showModal(){
          //  console.log(agency);
            this.modalVisible = true;
        },
        updatePayment(){
              axios.post('payment/store', {
                    agency_id: this.agency.id,
                    amount: this.amount,
                    payment_method: this.paymentMethod,
                    customer_id: this.agency.owner.id
                })
                .then(function (response) {
                    //return response;
                    if(response.data.status){
                         alerts.success(response.data.msg);
                         
                    }else{
                        alerts.warning(response.data.msg);
                    }
                   // console.log(response.data.data);
                }).then(this.hideModal())
        }
        
    }
}
</script>

<style>

</style>
